import { IPageCustomNode, IPageElementNode, NodeType } from "../models/page-node.model";
import { PageBaseNode } from "./page-base-node";
import { IPage } from "../models/page.model";
import { Page } from "../page";
import { PageElementNode } from "./page-element-node";
import { PageCustomNodeSchema, PageNodeSchema } from '../models/element-schema.model';
export declare class PageCustomNode extends PageBaseNode<PageCustomNode> implements IPageCustomNode {
    nativeElement: HTMLElement;
    nodeType: NodeType;
    schema: PageCustomNodeSchema;
    page: Page;
    hostElement: HTMLElement;
    parentElement: PageElementNode;
    constructor(schema: PageNodeSchema, page: IPage, parentElement: IPageElementNode | undefined);
    private createCustomNode;
    updateSchema(schema: PageCustomNodeSchema): void;
}
