import { StyleType } from "../models/style.model";
import { PageElementNode } from "../nodes/page-element-node";
import { StyleBase } from './style-base';
export interface ShadowEffect {
    inner: boolean;
    x: string;
    y: string;
    blur: string;
    spread: string;
    color: string;
}
export type Effect = ShadowEffect;
export declare class BoxShadowStyle extends StyleBase {
    element: PageElementNode;
    styleType: StyleType;
    styleSheet: CSSStyleSheet;
    selector: string;
    constructor(element: PageElementNode);
    has(effect: ShadowEffect): boolean;
    set(effect: ShadowEffect, apply?: boolean): void;
    getEffects(): ShadowEffect[];
    delete(effect: ShadowEffect, apply?: boolean): void;
    isValidValue(effect: ShadowEffect): boolean;
    private effectToString;
    private stringToEffect;
}
