import { StyleType } from "../models/style.model";
import { PageElementNode } from "../nodes/page-element-node";
import { StyleBase } from "./style-base";
export interface Size {
    width?: string;
    height?: string;
}
export declare class SizeStyle extends StyleBase {
    element: PageElementNode;
    styleType: StyleType;
    styleSheet: CSSStyleSheet;
    selector: string;
    constructor(element: PageElementNode);
    setHeight(height: string, apply?: boolean): void;
    getHeight(): string | undefined;
    deleteHeight(apply?: boolean): void;
    setWidth(width: string, apply?: boolean): void;
    getWidth(): string | undefined;
    deleteWidth(apply?: boolean): void;
}
