import { EventListener, IEventEmitter } from "./models/event-emitter.model";
export declare class EventEmitter implements IEventEmitter {
    private listenersMap;
    on<T>(eventNames: string, handler: EventListener<T>['handler'], options?: {
        autoUnlistenWhen: EventListener<T>['autoUnlistenWhen'];
    }): () => void;
    once<T>(eventName: string, handler: EventListener<T>['handler']): () => void;
    emit<T>(eventName: string, payload?: T): void;
    private getEventListeners;
    private unlisten;
}
