import { PageNodeAttribute } from "./page-node.model";
export interface List<T> {
    add(...items: T[]): void;
    remove(...keys: string[]): void;
    toggle(key: string, ...args: any[]): void;
}
export interface IElementClasses extends List<string> {
    value: string;
    getClassNames(): string[];
}
export interface IElementAttributes extends List<PageNodeAttribute> {
    value: PageNodeAttribute[];
    isNodeWithAttributes: boolean;
    replace(name: string, attribute: PageNodeAttribute): void;
}
