import { IPageElementNode, IPageTextNode, NodeType } from "../models/page-node.model";
import { PageBaseNode } from "./page-base-node";
import { IPage } from "../models/page.model";
import { Page } from "../page";
import { PageNodeSchema, PageTextNodeSchema } from "../models/element-schema.model";
export declare class PageTextNode extends PageBaseNode<PageTextNode> implements IPageTextNode {
    parentElement?: IPageElementNode | undefined;
    nativeElement: Text;
    nodeType: NodeType;
    schema: PageTextNodeSchema;
    wrapper?: HTMLElement;
    page: Page;
    get hostElement(): HTMLElement | Text;
    constructor(schema: PageNodeSchema, page: IPage, parentElement?: IPageElementNode | undefined);
    wrap(wrapperTag: string): HTMLElement;
    getValue(): string;
    private createTextNode;
    private listenSelfEvents;
    private onViewChange;
}
