import { PageElementNode } from "../nodes/page-element-node";
import { StyleBase } from "./style-base";
import { StyleType } from "../models/style.model";
export declare class CustomStyle extends StyleBase {
    element: PageElementNode;
    styleType: StyleType;
    styleSheet: CSSStyleSheet;
    selector: string;
    constructor(element: PageElementNode);
    get(property: string): string | undefined;
    getAll(): Record<string, string>;
    append(property: string, value: string, apply?: boolean): void;
    delete(property: string, apply?: boolean): void;
    attach(key: string): void;
    detach(key: string): void;
    detached(key: string): boolean;
}
