import { PageNodeSchema } from "./models/element-schema.model";
export declare function parseHTMLFragment(fragment: string): PageNodeSchema[];
export declare function kebabToCamelCase(str: string): string;
export declare function camelToKebabCase(str: string): string;
export declare function hexToRgb(hex: string): string;
export declare function isCssPropNameValid(element: HTMLElement, propertyName: string): boolean;
export declare function isCssPropValueValid(propertyName: string, propertyValue: string): boolean;
